Get a Preliminary List of Qualified Workers

Sends a job order or shift request to WorkN and gets back a list of workers that would qualify as of that moment in time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int32

The request type. Current valid values are: 1 for Scheduled at Specific location; 2 for On-Demand/Now (only valid for shift requests).

boolean
Defaults to false

An indication of whether this request should return a list of qualified workers for a single shift rather than a job order or not. By default, the value is set to False.

string

The end date of the job order (the start date is submitted as part of the attrib_list). This parameter is required if the shift_only parameter is false. The format should be “YYYYMMDD”, and it must be in UTC based on the request start time. For example, if the user submits a request from the Eastern Time Zone, which is 5 hours behind UTC time, and they pick a start time of 9:00 PM with an end date of 4/25/2024, the end_date sent over should be 4/26/2024, as 9:00 PM 4/25/2024 in Eastern Time is actually 2:00 AM 4/26/2024 UTC.

day_list
array of int32s

A list of days of the week that the job order sessions should be created on within the given date range. This parameter is required if the shift_only parameter is false. If this is sent, it should include all days of the week that the assignment should include. The values allowed are: 0 = Sunday, 1 = Monday, 2 = Tuesday, 3 = Wednesday, 4 = Thursday, 5 = Friday, 6 = Saturday.

day_list
int32

The identifier for the enterprise for which the job order is being created. If this is not specified, the request will be based on the user's enterprise ID.

string

The caller's internally used identifier for a customer (enterprise to WorkN). Note: If provided, it will be used instead of the enterprise_id to lookup in WorkN's system and determine the proper enterprise. This mapping of ext_customer_id to enterprise_id must be done by an Administrator of the Marketplace before the ext_customer_id is used. This value must not exceed 50 characters, all spaces are removed by the system.

boolean
Defaults to false

An indication of whether this is a Bundled Job Order or Unbundled. By default, jobs are unbundled, meaning workers can accept or be assigned individual sessions. A bundled job indicates that a worker can only accept or be assigned the entire job and all its sessions, not individual sessions.

provider_list
array of int32s

A list of workers to pre-qualify. If this parameter is not sent, all workers in the marketplace will be considered. This should be a list of provider_ids (for example, [4,7,10,3]).

provider_list
float

The latitude value of the meeting location. If the to_latitude and to_longitude parameters are not sent, either the to_address_line_1 and further parameters or the location attribute must be sent.

float

The longitude value of the meeting location.

string

The address of the meeting location, line 1.

string

The address of the meeting location, line 2.

string

The city of the meeting location.

string

The state of the meeting location.

string

The ZIP code of the meeting location.

string

The country of the meeting location.

attrib_list
object

A list of all request attributes that are part of the job order requested by the requester.

Headers
string
required
Defaults to Token <place token here>

The authorization token returned from the Log In endpoint.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json